Subject: bug#13790: Cannot paste with C-y into Homebrew emacs v24.2.1

From: Josh <[email-masked]>
Date: Wed, 6 Mar 2013 13:49:46 -0800

On Wed, Mar 6, 2013 at 1:02 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Jan Djärv <[email-masked]>
>> Yank from the clipboard is not available in a -nw session.
>> This is in line with how it works with -nw and X11.
>
> Right.

By default, yes, but this is the precise reason
interprogram-cut-function and interprogram-paste-function exist.
pbcopy and pbpaste are the OS X equivalents of xclip, and the snippet
I pasted provides an interface to them like the interface to xclip
provided by http://www.emacswiki.org/emacs/xclip.el .  Many users are
unaware of the existence of these variables, which results in
confusion and the filing of bugs such as this.  Users would be more
likely to discover them if the error messages complaining about an
empty kill ring in -nw sessions were to mention their existence.